data {
    int a;
    int N;
    real X[N, a];
}
parameters {
    real<lower = 0.0> sgm;
    real<lower = 0.0> sgm_tau;
    real mu;
    real f_a[a];
}
model {
    sgm ~ exponential(0.001);
    sgm_tau ~ exponential(0.001);
    mu ~ normal(0.0, 1000.0);
    for (j in 1:a){
        f_a[j] ~ normal(mu, sgm_tau);
    }
    for (i in 1:N)
        for (j in 1:a) {
        X[i][j] ~ normal(f_a[j], sgm);
    }
}
